ncurses_insstr
ncurses_isendwin
Ncurses Functions
PHP Manual

# ncurses_instr

Reads string from terminal screen

### Description

int ncurses_instr ( string `&$buffer` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Reads a string from the terminal screen and returns the number of characters read from the current character position until end of line.

### Parameters

`buffer`

  The characters. Attributes will be stripped.

### Return Values

Returns the number of characters.